Bug 458563 - grass not able to display documentation
grass not able to display documentation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: grass (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Balint Cristian
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-09 20:31 EDT by Jorrit
Modified: 2008-09-14 02:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-14 02:51:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file fix for proper functioning manual system in grass (1.02 KB, patch)
2008-08-09 20:31 EDT, Jorrit
no flags Details | Diff
fix spec file to make g.manual work properly with man and html pages (1.28 KB, patch)
2008-08-10 08:52 EDT, Jorrit
no flags Details | Diff

  None (edit)
Description Jorrit 2008-08-09 20:31:35 EDT
Created attachment 313887 [details]
spec file fix for proper functioning manual system in grass

Description of problem: g.manual not able to find documentation


Version-Release number of selected component (if applicable): 6.3.0-5.fc9


How reproducible: always


Steps to Reproduce:
1. start grass grass63
2. start g.manual 
3. select any manual or the index
  
Actual results:
manual not found

Expected results:
manual displayed in browser

Additional info:
Initially I thought it was only a wrong regex in the spec file pointing g.manual to the wrong location, but also the icons referenced from the html pages are not in the correct location.
Patch for the spec file attached
Comment 1 Jorrit 2008-08-10 08:52:31 EDT
Created attachment 313890 [details]
fix spec file to make g.manual work properly with man and html pages

Previous patch did not account for the manual pages, this one does
Comment 2 Fedora Update System 2008-09-12 01:29:18 EDT
grass-6.3.0-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/grass-6.3.0-6.fc9
Comment 3 Fedora Update System 2008-09-14 02:51:05 EDT
grass-6.3.0-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.